# Class GenotypeConcordanceStates.TruthAndCallStates

java.lang.Object
picard.vcf.GenotypeConcordanceStates.TruthAndCallStates

All Implemented Interfaces:
  `Comparable<GenotypeConcordanceStates.TruthAndCallStates>`

Enclosing class:
  `GenotypeConcordanceStates`

public static class GenotypeConcordanceStates.TruthAndCallStates extends Object implements Comparable<GenotypeConcordanceStates.TruthAndCallStates>
A minute class to store the truth and call state respectively.

## Field Summary

Fields
Modifier and Type
Field
Description
`final GenotypeConcordanceStates.CallState`
`callState`
`final GenotypeConcordanceStates.TruthState`
`truthState`

## Constructor Summary

Constructors
Constructor
Description
`TruthAndCallStates(GenotypeConcordanceStates.TruthState truthState, GenotypeConcordanceStates.CallState callState)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(GenotypeConcordanceStates.TruthAndCallStates that)`
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### truthState

public final GenotypeConcordanceStates.TruthState truthState

### callState

public final GenotypeConcordanceStates.CallState callState

## Constructor Details

### TruthAndCallStates

public TruthAndCallStates(GenotypeConcordanceStates.TruthState truthState, GenotypeConcordanceStates.CallState callState)

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(GenotypeConcordanceStates.TruthAndCallStates that)

Specified by:
  `compareTo` in interface `Comparable<GenotypeConcordanceStates.TruthAndCallStates>`